<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:10 AEST 2019 -->
<title>com.sk89q.worldedit.util.task Class Hierarchy (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit.util.task Class Hierarchy (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/util/report/package-tree.html">Prev</a></li>
<li><a href="../../../../../com/sk89q/worldedit/util/task/progress/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/task/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package com.sk89q.worldedit.util.task</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">com.google.common.util.concurrent.AbstractFuture&lt;V&gt; (implements com.google.common.util.concurrent.ListenableFuture&lt;V&gt;)
<ul>
<li type="circle">com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/AbstractTask.html" title="class in com.sk89q.worldedit.util.task"><span class="typeNameLink">AbstractTask</span></a>&lt;V&gt; (implements com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task">Task</a>&lt;V&gt;)
<ul>
<li type="circle">com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/FutureForwardingTask.html" title="class in com.sk89q.worldedit.util.task"><span class="typeNameLink">FutureForwardingTask</span></a>&lt;V&gt;</li>
</ul>
</li>
</ul>
</li>
<li type="circle">com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/SimpleSupervisor.html" title="class in com.sk89q.worldedit.util.task"><span class="typeNameLink">SimpleSupervisor</span></a> (implements com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/Supervisor.html" title="interface in com.sk89q.worldedit.util.task">Supervisor</a>)</li>
<li type="circle">com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/TaskStateComparator.html" title="class in com.sk89q.worldedit.util.task"><span class="typeNameLink">TaskStateComparator</span></a> (implements java.util.Comparator&lt;T&gt;)</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">java.util.concurrent.Future&lt;V&gt;
<ul>
<li type="circle">com.google.common.util.concurrent.ListenableFuture&lt;V&gt;
<ul>
<li type="circle">com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task"><span class="typeNameLink">Task</span></a>&lt;V&gt; (also extends com.sk89q.worldedit.util.task.progress.<a href="../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress">ProgressObservable</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">com.sk89q.worldedit.util.task.progress.<a href="../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress"><span class="typeNameLink">ProgressObservable</span></a>
<ul>
<li type="circle">com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/Task.html" title="interface in com.sk89q.worldedit.util.task"><span class="typeNameLink">Task</span></a>&lt;V&gt; (also extends com.google.common.util.concurrent.ListenableFuture&lt;V&gt;)</li>
</ul>
</li>
<li type="circle">com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/Supervisor.html" title="interface in com.sk89q.worldedit.util.task"><span class="typeNameLink">Supervisor</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">com.sk89q.worldedit.util.task.<a href="../../../../../com/sk89q/worldedit/util/task/Task.State.html" title="enum in com.sk89q.worldedit.util.task"><span class="typeNameLink">Task.State</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/util/report/package-tree.html">Prev</a></li>
<li><a href="../../../../../com/sk89q/worldedit/util/task/progress/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/task/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
